<!DOCTYPE html>
<html lang="ru" data-bs-theme="dark">

  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Просмотр полной цепочки наследования</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"
      integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN"
      crossorigin="anonymous"></script>
    <script type="module" src="./index.js"></script>

  </head>

  <body>
    <div class="container mt-5">

      <form class="form">
        <div class="mb-3">
          <input type="text" class="form-control class-name" placeholder="Название класса или модуля" required>
          <div class="invalid-feedback"></div>
        </div>
        <button type="submit" class="btn btn-primary">Показать цепочку прототипов</button>
      </form>
      <ol class="mt-5 prototype-chain"></ol>
    </div>
    <div class="modal" id="show-info" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Описание приложения</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <p>Данное приложение представляет собой инструмент для разработчика, который предоставляет
              удобный интерфейс
              для просмотра полной цепочки наследования стандартных классов в JavaScript. Позволяет
              вывести полную
              цепочку прототипов для любого класса, который содержится в глобальном объекте Window
              (например,
              HTMLInputElement).</p>
            <p>Так же есть возможность загружать модули с помощью динамического импорта. В качестве примера
              используется
              модуль "shop". Чтобы его проверить, введите в поле формы "shop.js".</p>
            <p>Кроме этого это приложение обрабатывает ошибки. В том числе, при вводе названия класса,
              отсутствующего в
              Window, сообщение об ошибке появляется не в консоли, а под полем ввода, и его легко понять.
            </p>
          </div>
        </div>
      </div>
    </div>
  </body>

</html>
